Get Many Competences
Bad Request
Unauthorized
Forbidden
Internal server error
curl --request GET \ --url 'https://api.alexishr.com/v1/competence?select=SOME_ARRAY_VALUE&filters=SOME_OBJECT_VALUE&limit=SOME_INTEGER_VALUE&offset=SOME_INTEGER_VALUE&sort=SOME_OBJECT_VALUE' \ --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{- "status": "ok",
- "data": [
- {
- "id": "string",
- "companyId": "string",
- "type": "string",
- "name": "string",
- "description": "string",
- "scopeId": "string",
- "isRequired": true
}
], - "total": 500,
- "count": 50,
- "offset": 50,
- "relations": { }
}Create One Competence
Bad Request
Unauthorized
Forbidden
Internal server error
{- "companyId": "string",
- "type": "string",
- "name": "string",
- "description": "string",
- "scope": {
- "companyId": "5beadbdb01da0a0028a66e99",
- "parentId": "507f1f77bcf86cd799439011",
- "parentType": "DocumentFOlder",
- "namespace": {
- "entity": "DocumentFolder",
- "key": null
}, - "excludeEmployeeScope": "[]",
- "employeeScope": "[]",
- "officeScope": "[]",
- "groupScope": "[]",
- "organizationScope": "[]",
- "employmentTypeScope": "[]",
- "entireCompany": true,
- "teamScope": "[]",
- "filters": "[]",
- "static": true
}, - "isRequired": true
}{- "status": "ok",
- "data": {
- "id": "string",
- "companyId": "string",
- "type": "string",
- "name": "string",
- "description": "string",
- "scopeId": "string",
- "isRequired": true
}
}Get One Competence
Bad Request
Unauthorized
Forbidden
Not Found
Internal server error
curl --request GET \ --url 'https://api.alexishr.com/v1/competence/507f1f77bcf86cd799439011?select=SOME_ARRAY_VALUE' \ --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{- "status": "ok",
- "data": {
- "id": "string",
- "companyId": "string",
- "type": "string",
- "name": "string",
- "description": "string",
- "scopeId": "string",
- "isRequired": true
}, - "relations": { }
}Update One Competence
Bad Request
Unauthorized
Forbidden
Not Found
Internal server error
{- "name": "string",
- "description": "string",
- "scope": {
- "excludeEmployeeScope": "[]",
- "employeeScope": "[]",
- "officeScope": "[]",
- "groupScope": "[]",
- "organizationScope": "[]",
- "employmentTypeScope": "[]",
- "entireCompany": true,
- "teamScope": "[]",
- "filters": "[]",
- "static": true
}, - "isRequired": true
}{- "status": "ok",
- "data": {
- "id": "string",
- "companyId": "string",
- "type": "string",
- "name": "string",
- "description": "string",
- "scopeId": "string",
- "isRequired": true
}
}Replace One Competence
Bad Request
Unauthorized
Forbidden
Not Found
Internal server error
{- "name": "string",
- "description": "string",
- "scope": {
- "excludeEmployeeScope": "[]",
- "employeeScope": "[]",
- "officeScope": "[]",
- "groupScope": "[]",
- "organizationScope": "[]",
- "employmentTypeScope": "[]",
- "entireCompany": true,
- "teamScope": "[]",
- "filters": "[]",
- "static": true
}, - "isRequired": true
}{- "status": "ok",
- "data": {
- "id": "string",
- "companyId": "string",
- "type": "string",
- "name": "string",
- "description": "string",
- "scopeId": "string",
- "isRequired": true
}
}Delete One Competence
Bad Request
Unauthorized
Forbidden
Not Found
Internal server error
curl --request DELETE \ --url https://api.alexishr.com/v1/competence/507f1f77bcf86cd799439011 \ --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{- "status": "ok",
- "data": { }
}